Subject: Re: What's cooking in git.git (Apr 2012, #06; Sun, 15)

From: Ramsay Jones <[email-masked]>
Date: Wed, 18 Apr 2012 20:53:37 +0100

Johannes Sixt wrote:
> Am 4/16/2012 8:44, schrieb Junio C Hamano:
>> * nd/threaded-index-pack (2012-04-11) 3 commits
>>  - index-pack: support multithreaded delta resolving
>>  - index-pack: split second pass obj handling into own function
>>  - compat/win32/pthread.h: Add an pthread_key_delete() implementation
> 
> With this series, t9300.92 (fast-import, Q: verify pack) consistently
> fails for me on Windows.
> 
> I'll have to see when I can dig deeper into this topic...

Hmm, this works just fine for me.

[I know that doesn't help you much :(, but it at least provides another
data-point.]

With the exception of t9300.62 (a fix for which I have already sent to
the list), all of the following tests pass:

    t/t5300-pack-object.sh
    t/t5301-sliding-window.sh
    t/t5302-pack-index.sh
    t/t5303-pack-corruption-resilience.sh
    t/t5510-fetch.sh
    t/t6050-replace.sh
    t/t7700-repack.sh
    t/t7701-repack-unpack-unreachable.sh
    t/t9300-fast-import.sh

Just to be clear, I have to apply a patch (given below) to pu in order to
do any meaningful testing. This patch is the one I had ready to send to the
list to fix the SHELL_PATH breakage, but you beat me to the punch! :-P
(Also, your commit message was *much* better than mine!)

[my MinGW was installed from msysGit-fullinstall-1.7.4-preview20110204.exe
on Windows XP SP3]

ATB,
Ramsay Jones

--- >8 ---
diff --git a/run-command.c b/run-command.c
index 5be1b4b..53a081b 100644
--- a/run-command.c
+++ b/run-command.c
@@ -4,7 +4,10 @@
 #include "sigchain.h"
 #include "argv-array.h"
 
-#ifndef SHELL_PATH
+#if defined(WIN32)
+# undef SHELL_PATH
+# define SHELL_PATH "sh"
+#elif !defined(SHELL_PATH)
 # define SHELL_PATH "/bin/sh"
 #endif
 
--- 8< ---